--- !ruby/object:RI::MethodDescription 
aliases: 
- !ruby/object:RI::AliasName 
  name: str
block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: A parser that matches the given string.
full_name: RParsec::Parsers#string
is_singleton: false
name: string
params: (str, msg = "\"
visibility: public
